=== modified file 'client/drizzle.cc'
--- client/drizzle.cc	2008-08-10 16:52:18 +0000
+++ client/drizzle.cc	2008-08-11 01:27:58 +0000
@@ -1362,7 +1362,7 @@
    N_("Password to use when connecting to server. If password is not given it's asked from the tty."),
    0, 0, 0, GET_STR, OPT_ARG, 0, 0, 0, 0, 0, 0},
   {"port", 'P', N_("Port number to use for connection or 0 for default to, in order of preference, my.cnf, $DRIZZLE_TCP_PORT, ")
-   N_("built-in default") " (" STRINGIFY_ARG(MYSQL_PORT) ").",
+   N_("built-in default") " (" STRINGIFY_ARG(DRIZZLE_PORT) ").",
    (char**) &opt_drizzle_port,
    (char**) &opt_drizzle_port, 0, GET_UINT, REQUIRED_ARG, 0, 0, 0, 0, 0,  0},
   {"prompt", OPT_PROMPT, N_("Set the drizzle prompt to this value."),

=== modified file 'client/drizzleadmin.cc'
--- client/drizzleadmin.cc	2008-08-07 21:28:00 +0000
+++ client/drizzleadmin.cc	2008-08-11 01:27:58 +0000
@@ -74,8 +74,8 @@
    N_("Password to use when connecting to server. If password is not given it's asked from the tty."),
    0, 0, 0, GET_STR, OPT_ARG, 0, 0, 0, 0, 0, 0},
   {"port", 'P', N_("Port number to use for connection or 0 for default to, in "
-   "order of preference, my.cnf, $MYSQL_TCP_PORT, "
-   "built-in default (" STRINGIFY_ARG(MYSQL_PORT) ")."),
+   "order of preference, my.cnf, $DRIZZLE_TCP_PORT, "
+   "built-in default (" STRINGIFY_ARG(DRIZZLE_PORT) ")."),
    (char**) &tcp_port,
    (char**) &tcp_port, 0, GET_UINT, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
   {"silent", 's', N_("Silently exit if one can't connect to server."),

=== modified file 'client/drizzlebinlog.cc'
--- client/drizzlebinlog.cc	2008-08-10 17:36:50 +0000
+++ client/drizzlebinlog.cc	2008-08-11 01:27:58 +0000
@@ -988,8 +988,8 @@
   {"password", 'p', "Password to connect to remote server.",
    0, 0, 0, GET_STR, OPT_ARG, 0, 0, 0, 0, 0, 0},
   {"port", 'P', "Port number to use for connection or 0 for default to, in "
-   "order of preference, my.cnf, $MYSQL_TCP_PORT, "
-   "built-in default (" STRINGIFY_ARG(MYSQL_PORT) ").",
+   "order of preference, my.cnf, $DRIZZLE_TCP_PORT, "
+   "built-in default (" STRINGIFY_ARG(DRIZZLE_PORT) ").",
    (char**) &port, (char**) &port, 0, GET_INT, REQUIRED_ARG,
    0, 0, 0, 0, 0, 0},
   {"position", 'j', "Deprecated. Use --start-position instead.",

=== modified file 'client/drizzlecheck.cc'
--- client/drizzlecheck.cc	2008-08-09 21:41:16 +0000
+++ client/drizzlecheck.cc	2008-08-11 01:27:58 +0000
@@ -122,8 +122,8 @@
    "Password to use when connecting to server. If password is not given it's solicited on the tty.",
    0, 0, 0, GET_STR, OPT_ARG, 0, 0, 0, 0, 0, 0},
   {"port", 'P', "Port number to use for connection or 0 for default to, in "
-   "order of preference, my.cnf, $MYSQL_TCP_PORT, "
-   "built-in default (" STRINGIFY_ARG(MYSQL_PORT) ").",
+   "order of preference, my.cnf, $DRIZZLE_TCP_PORT, "
+   "built-in default (" STRINGIFY_ARG(DRIZZLE_PORT) ").",
    (char**) &opt_mysql_port,
    (char**) &opt_mysql_port, 0, GET_UINT, REQUIRED_ARG, 0, 0, 0, 0, 0,
    0},

=== modified file 'client/drizzleimport.cc'
--- client/drizzleimport.cc	2008-08-09 21:44:44 +0000
+++ client/drizzleimport.cc	2008-08-11 01:27:58 +0000
@@ -123,8 +123,8 @@
    "Password to use when connecting to server. If password is not given it's asked from the tty.",
    0, 0, 0, GET_STR, OPT_ARG, 0, 0, 0, 0, 0, 0},
   {"port", 'P', "Port number to use for connection or 0 for default to, in "
-   "order of preference, my.cnf, $MYSQL_TCP_PORT, "
-   "built-in default (" STRINGIFY_ARG(MYSQL_PORT) ").",
+   "order of preference, my.cnf, $DRIZZLE_TCP_PORT, "
+   "built-in default (" STRINGIFY_ARG(DRIZZLE_PORT) ").",
    (char**) &opt_drizzle_port,
    (char**) &opt_drizzle_port, 0, GET_UINT, REQUIRED_ARG, 0, 0, 0, 0, 0,
    0},

=== modified file 'client/drizzletest.cc'
--- client/drizzletest.cc	2008-08-10 17:36:50 +0000
+++ client/drizzletest.cc	2008-08-11 01:27:58 +0000
@@ -4571,8 +4571,8 @@
   {"password", 'p', "Password to use when connecting to server.",
    0, 0, 0, GET_STR, OPT_ARG, 0, 0, 0, 0, 0, 0},
   {"port", 'P', "Port number to use for connection or 0 for default to, in "
-   "order of preference, my.cnf, $MYSQL_TCP_PORT, "
-   "built-in default (" STRINGIFY_ARG(MYSQL_PORT) ").",
+   "order of preference, my.cnf, $DRIZZLE_TCP_PORT, "
+   "built-in default (" STRINGIFY_ARG(DRIZZLE_PORT) ").",
    (char**) &opt_port,
    (char**) &opt_port, 0, GET_INT, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
   {"quiet", 's', "Suppress all normal output.", (char**) &silent,

=== modified file 'configure.ac'
--- configure.ac	2008-08-09 23:46:03 +0000
+++ configure.ac	2008-08-11 01:27:58 +0000
@@ -35,7 +35,7 @@
     awk -F. '{printf "%d%0.2d%0.2d", $1, $2, $3}'`
 
 # The port should be constant for a LONG time
-MYSQL_TCP_PORT_DEFAULT=4427
+DRIZZLE_TCP_PORT_DEFAULT=4427
 
 dnl Include m4 
 sinclude(m4/alloca.m4)
@@ -620,16 +620,16 @@
 AC_ARG_WITH([tcp-port],
     [AS_HELP_STRING([--with-tcp-port=port-number],
             [Which port to use for Drizzle services @<:@default=4427@:>@])],
-    [ MYSQL_TCP_PORT=$withval ],
-    [ MYSQL_TCP_PORT=$MYSQL_TCP_PORT_DEFAULT
+    [ DRIZZLE_TCP_PORT=$withval ],
+    [ DRIZZLE_TCP_PORT=$DRIZZLE_TCP_PORT_DEFAULT
       # if we actually defaulted (as opposed to the pathological case of
-      # --with-tcp-port=<MYSQL_TCP_PORT_DEFAULT> which might in theory
+      # --with-tcp-port=<DRIZZLE_TCP_PORT_DEFAULT> which might in theory
       # happen if whole batch of servers was built from a script), set
       # the default to zero to indicate that; we don't lose information
       # that way, because 0 obviously indicates that we can get the
-      # default value from MYSQL_TCP_PORT. this seems really evil, but
-      # testing for MYSQL_TCP_PORT==MYSQL_TCP_PORT_DEFAULT would make a
-      # a port of MYSQL_TCP_PORT_DEFAULT magic even if the builder did not
+      # default value from DRIZZLE_TCP_PORT. this seems really evil, but
+      # testing for DRIZZLE_TCP_PORT==DRIZZLE_TCP_PORT_DEFAULT would make a
+      # a port of DRIZZLE_TCP_PORT_DEFAULT magic even if the builder did not
       # intend it to mean "use the default, in fact, look up a good default
       # from /etc/services if you can", but really, really meant 4427 when
       # they passed in 4427. When they pass in a specific value, let them
@@ -640,19 +640,19 @@
       # - if a port was set during build, use that as a default.
       #
       # - otherwise, try to look up a port in /etc/services; if that fails,
-      #   use MYSQL_TCP_PORT_DEFAULT (at the time of this writing 4427)
+      #   use DRIZZLE_TCP_PORT_DEFAULT (at the time of this writing 4427)
       #
-      # - allow the MYSQL_TCP_PORT environment variable to override that.
+      # - allow the DRIZZLE_TCP_PORT environment variable to override that.
       #
       # - allow command-line parameters to override all of the above.
       #
-      # the top-most MYSQL_TCP_PORT_DEFAULT is read from win/configure.js,
+      # the top-most DRIZZLE_TCP_PORT_DEFAULT is read from win/configure.js,
       # so don't mess with that.
-      MYSQL_TCP_PORT_DEFAULT=0 ]
+      DRIZZLE_TCP_PORT_DEFAULT=0 ]
     )
-AC_SUBST(MYSQL_TCP_PORT)
+AC_SUBST(DRIZZLE_TCP_PORT)
 # We might want to document the assigned port in the manual.
-AC_SUBST(MYSQL_TCP_PORT_DEFAULT)
+AC_SUBST(DRIZZLE_TCP_PORT_DEFAULT)
 
 # Use this to set the place used for unix socket used to local communication.
 AC_ARG_WITH([mysqld-user],

=== modified file 'drizzled/drizzled.cc'
--- drizzled/drizzled.cc	2008-08-10 22:14:13 +0000
+++ drizzled/drizzled.cc	2008-08-11 01:27:58 +0000
@@ -444,7 +444,7 @@
 pthread_cond_t  COND_server_started;
 
 /* replication parameters, if master_host is not NULL, we are a slave */
-uint report_port= MYSQL_PORT;
+uint report_port= DRIZZLE_PORT;
 uint32_t master_retry_count= 0;
 char *master_info_file;
 char *relay_log_info_file, *report_user, *report_password, *report_host;
@@ -947,7 +947,7 @@
   char	*env;
   if (!mysqld_port)
   {					// Get port if not from commandline
-    mysqld_port= MYSQL_PORT;
+    mysqld_port= DRIZZLE_PORT;
 
     /*
       if builder specifically requested a default port, use that
@@ -955,15 +955,15 @@
       only if they didn't do we check /etc/services (and, failing
       on that, fall back to the factory default of 4427).
       either default can be overridden by the environment variable
-      MYSQL_TCP_PORT, which in turn can be overridden with command
+      DRIZZLE_TCP_PORT, which in turn can be overridden with command
       line options.
     */
 
     struct  servent *serv_ptr;
-    if ((serv_ptr= getservbyname("mysql", "tcp")))
+    if ((serv_ptr= getservbyname("drizzle", "tcp")))
       mysqld_port= ntohs((u_short) serv_ptr->s_port); /* purecov: inspected */
 
-    if ((env = getenv("MYSQL_TCP_PORT")))
+    if ((env = getenv("DRIZZLE_TCP_PORT")))
       mysqld_port= (uint) atoi(env);		/* purecov: inspected */
 
     assert(mysqld_port);
@@ -3363,11 +3363,11 @@
    (char**) &pidfile_name_ptr, (char**) &pidfile_name_ptr, 0, GET_STR,
    REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
   {"port", 'P', "Port number to use for connection or 0 for default to, in "
-   "order of preference, my.cnf, $MYSQL_TCP_PORT, "
-#if MYSQL_PORT_DEFAULT == 0
+   "order of preference, my.cnf, $DRIZZLE_TCP_PORT, "
+#if DRIZZLE_PORT_DEFAULT == 0
    "/etc/services, "
 #endif
-   "built-in default (" STRINGIFY_ARG(MYSQL_PORT) ").",
+   "built-in default (" STRINGIFY_ARG(DRIZZLE_PORT) ").",
    (char**) &mysqld_port,
    (char**) &mysqld_port, 0, GET_UINT, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
   {"port-open-timeout", OPT_PORT_OPEN_TIMEOUT,
@@ -3427,7 +3427,7 @@
   {"report-port", OPT_REPORT_PORT,
    "Port for connecting to slave reported to the master during slave registration. Set it only if the slave is listening on a non-default port or if you have a special tunnel from the master or other clients to the slave. If not sure, leave this option unset.",
    (char**) &report_port, (char**) &report_port, 0, GET_UINT, REQUIRED_ARG,
-   MYSQL_PORT, 0, 0, 0, 0, 0},
+   DRIZZLE_PORT, 0, 0, 0, 0, 0},
   {"safe-mode", OPT_SAFE, "Skip some optimize stages (for testing).",
    0, 0, 0, GET_NO_ARG, NO_ARG, 0, 0, 0, 0, 0, 0},
   {"secure-file-priv", OPT_SECURE_FILE_PRIV,

=== modified file 'drizzled/rpl_mi.cc'
--- drizzled/rpl_mi.cc	2008-08-10 06:11:44 +0000
+++ drizzled/rpl_mi.cc	2008-08-11 01:27:58 +0000
@@ -28,7 +28,7 @@
 
 Master_info::Master_info()
   :Slave_reporting_capability("I/O"),
-   ssl(0), ssl_verify_server_cert(0), fd(-1),  io_thd(0), port(MYSQL_PORT),
+   ssl(0), ssl_verify_server_cert(0), fd(-1),  io_thd(0), port(DRIZZLE_PORT),
    connect_retry(DEFAULT_CONNECT_RETRY), heartbeat_period(0),
    received_heartbeats(0), inited(0),
    abort_slave(0), slave_running(0), slave_run_id(0)
@@ -231,7 +231,7 @@
         init_strvar_from_file(mi->user, sizeof(mi->user), &mi->file, "test") ||
         init_strvar_from_file(mi->password, SCRAMBLED_PASSWORD_CHAR_LENGTH+1,
                               &mi->file, 0 ) ||
-        init_intvar_from_file(&port, &mi->file, MYSQL_PORT) ||
+        init_intvar_from_file(&port, &mi->file, DRIZZLE_PORT) ||
         init_intvar_from_file(&connect_retry, &mi->file, DEFAULT_CONNECT_RETRY))
       goto errwithmsg;
 

=== modified file 'drizzled/version.h.in'
--- drizzled/version.h.in	2008-07-29 21:59:54 +0000
+++ drizzled/version.h.in	2008-08-11 01:27:58 +0000
@@ -10,13 +10,12 @@
 #else
 #define PROTOCOL_VERSION		@PROTOCOL_VERSION@
 #define MYSQL_SERVER_VERSION		"@VERSION@"
-#define MYSQL_BASE_VERSION		"mysqld-@MYSQL_BASE_VERSION@"
+#define MYSQL_BASE_VERSION		"drizzle-@MYSQL_BASE_VERSION@"
 #define MYSQL_SERVER_SUFFIX_DEF		"@MYSQL_SERVER_SUFFIX@"
 #define FRM_VER				@DOT_FRM_VERSION@
 #define MYSQL_VERSION_ID		@MYSQL_VERSION_ID@
-#define MYSQL_PORT			@MYSQL_TCP_PORT@
-#define MYSQL_PORT_DEFAULT		@MYSQL_TCP_PORT_DEFAULT@
-#define MYSQL_UNIX_ADDR			"@MYSQL_UNIX_ADDR@"
+#define DRIZZLE_PORT			@DRIZZLE_TCP_PORT@
+#define DRIZZLE_PORT_DEFAULT		@DRIZZLE_TCP_PORT_DEFAULT@
 #define MYSQL_CONFIG_NAME		"my"
 #define MYSQL_COMPILATION_COMMENT	"@COMPILATION_COMMENT@"
 

=== modified file 'libdrizzle/client.c'
--- libdrizzle/client.c	2008-08-10 17:18:41 +0000
+++ libdrizzle/client.c	2008-08-11 01:27:58 +0000
@@ -961,7 +961,7 @@
 
     if (!drizzle_port)
     {
-      drizzle_port = MYSQL_PORT;
+      drizzle_port = DRIZZLE_PORT;
       {
         struct servent *serv_ptr;
         char *env;
@@ -972,11 +972,11 @@
           only if they didn't do we check /etc/services (and, failing
           on that, fall back to the factory default of 4427).
           either default can be overridden by the environment variable
-          MYSQL_TCP_PORT, which in turn can be overridden with command
+          DRIZZLE_TCP_PORT, which in turn can be overridden with command
           line options.
         */
 
-#if MYSQL_PORT_DEFAULT == 0
+#if DRIZZLE_PORT_DEFAULT == 0
         if ((serv_ptr = getservbyname("drizzle", "tcp")))
           drizzle_port = (uint) ntohs((ushort) serv_ptr->s_port);
 #endif

=== modified file 'po/drizzle.pot'
--- po/drizzle.pot	2008-08-07 21:44:16 +0000
+++ po/drizzle.pot	2008-08-11 01:27:58 +0000
@@ -338,7 +338,7 @@
 #: client/drizzle.c:1383
 msgid ""
 "Port number to use for connection or 0 for default to, in order of "
-"preference, my.cnf, $MYSQL_TCP_PORT, "
+"preference, my.cnf, $DRIZZLE_TCP_PORT, "
 msgstr ""
 
 #: client/drizzle.c:1384
@@ -622,7 +622,7 @@
 #: client/drizzleadmin.cc:76
 msgid ""
 "Port number to use for connection or 0 for default to, in order of "
-"preference, my.cnf, $MYSQL_TCP_PORT, built-in default ("
+"preference, my.cnf, $DRIZZLE_TCP_PORT, built-in default ("
 msgstr ""
 
 #: client/drizzleadmin.cc:81

=== modified file 'tests/test-run.pl'
--- tests/test-run.pl	2008-08-03 21:30:40 +0000
+++ tests/test-run.pl	2008-08-11 01:27:58 +0000
@@ -1423,7 +1423,7 @@
   $ENV{'SLAVE_MYPORT'}=       $slave->[0]->{'port'};
   $ENV{'SLAVE_MYPORT1'}=      $slave->[1]->{'port'};
   $ENV{'SLAVE_MYPORT2'}=      $slave->[2]->{'port'};
-  $ENV{'MYSQL_TCP_PORT'}=     $mysqld_variables{'port'};
+  $ENV{'DRIZZLE_TCP_PORT'}=     $mysqld_variables{'port'};
 
   $ENV{MTR_BUILD_THREAD}=      $opt_mtr_build_thread;
 

